ParamGrid (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class ParamGrid

- java.lang.Object
- - org.opencv.ml.ParamGrid

-     public class ParamGrid
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ParamGrid(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParamGrid` | `__fromPtr__(long addr)`
    `static ParamGrid` | `create()`
    `static ParamGrid` | `create(double minVal, double maxVal, double logstep)`
    `protected void` | `finalize()`
    `double` | `get_logStep()`
    `double` | `get_maxVal()`
    `double` | `get_minVal()`
    `long` | `getNativeObjAddr()`
    `void` | `set_logStep(double logStep)`
    `void` | `set_maxVal(double maxVal)`
    `void` | `set_minVal(double minVal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### ParamGrid

          protected ParamGrid(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static ParamGrid __fromPtr__(long addr)

    - #### create

          public static ParamGrid create(double minVal,
                                         double maxVal,
                                         double logstep)

    - #### create

          public static ParamGrid create()

    - #### get_minVal

          public double get_minVal()

    - #### set_minVal

          public void set_minVal(double minVal)

    - #### get_maxVal

          public double get_maxVal()

    - #### set_maxVal

          public void set_maxVal(double maxVal)

    - #### get_logStep

          public double get_logStep()

    - #### set_logStep

          public void set_logStep(double logStep)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown